e = basename(dirname(__FILE__));
get_lang($module_name);
require_once("function/comments.php");
include("config/config_fields.php");

//начало новой функции
function menu_news() {
global $prefix, $db, $module_name;
$kolonok = 2;
$wig = 100/$kolonok;

// Языковый запрос
global $multilingual, $currentlang;
$querylang = ($multilingual == 1) ? "AND (alanguage='$currentlang' OR alanguage='')" : "";


$sql = " SELECT t.*, sc.*, s.topic, s.catid FROM slaed_stories AS s LEFT OUTER JOIN slaed_topics AS t ON (s.topic = t.topicid) LEFT OUTER JOIN slaed_stories_cat AS sc ON (s.catid = sc.catid) WHERE s.time <= NOW() AND s.status='1' $querylang GROUP BY t.topicname, sc.title, sc.catid, t.topicid, t.topicimage, t.topictext ORDER BY t.topicname, sc.title ";
$result = $db->sql_query($sql);
while(list($topicid, $topicname, $topicimage, $topictext, $sc_catid, $sc_title, $s_topic, $s_catid) = $db->sql_fetchrow($result)) {
$topicid = intval($topicid);
$sc_catid = intval($sc_catid);

if ($s_topic=="0") {
	$topicid=0;
	$topicname="Разное в темах";
	$topicimage="AllTopics.gif";
	$topictext="Не вошли ни в одну из тем";
}
if ($sc_catid=="0") {
	$sc_catid=0;
	$sc_title="поза категоріями";
}

$mass1[$topicid] = array($topicid, $topicname, $topicimage, $topictext);
$mass2[$topicid][$sc_catid] = array($sc_catid, $sc_title);
}

OpenTable();
$i=0; $j=0; $topot="";
echo  "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\">";
foreach ($mass1 as $key1 => $val1) {
	$i++;
	if ($i==1) {echo  "<tr>"; $buf1="";}
	if ($j==1) {$topot = "padding-top: 30px;";}
	echo "<td rowspan=\"2\" valign=\"middle\" style=\"padding-left: 18px;padding-right: 7px; ".$topot."\"><img src=\"images/topics/".$val1[2]."\"></td>"
	."<td width=\"".$wig."%\" align=\"left\" valign=\"top\" height=\"1px\" style=\"padding-bottom: 4px; ".$topot."\"><a href=\"index.php?name=".$module_name."&new_topic=".$val1[0]."\"><b>".$val1[1]."</b></a><br><i>".$val1[3]."</i></td>";
	

		$buf1 .= "<td valign=\"top\">";

		foreach ($mass2[$key1] as $key2 => $val2) {

         $buf1 .= "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\"><tr>";

         if (!file_exists("images/cat_news/16/t".$val1[0]."c".$val2[0].".gif")) {

                     $buf1 .= "<td style=\"padding-left: 10px;padding-right: 7px;\"><img src=\"images/cat_news/16/all.gif\"></td>";

         } else {

                     $buf1 .= "<td style=\"padding-left: 10px;padding-right: 7px;\"><img src=\"images/cat_news/16/t".$val1[0]."c".$val2[0].".gif\"></td>";

         }

         $buf1 .= "<td width=\"100%\"><a href=\"index.php?name=".$module_name."&new_topic=".$val1[0]."&new_cat=".$val2[0]."\">".$val2[1]."</a></td></tr></table>";

      }

		$buf1 .= "</td>";

	if ($i==$kolonok) {$j=1; $i=0; echo "</tr><tr>".$buf1."</tr>";}
}
if ($i<$kolonok AND 0<$i) {$i=0; echo "</tr><tr>".$buf1."</tr>";}
echo  "</table>";
CloseTable();
}
//конец новой функции

function news($new_topic=0) {
	global $db, $storyhome, $topicname, $topicimage, $topictext, $datetime, $user, $prefix, $multilingual, $currentlang, $sitename, $user_news, $pagenum, $anonymous, $module_name, $pagetitle, $defis;
	$querylang = ($multilingual == 1) ? "AND (alanguage='$currentlang' OR alanguage='')" : "";

#============1-b
#	$new_topic = (isset($new_topic)) ? intval($new_topic) : 0;
	$new_topic = (isset($new_topic)) ? intval($new_topic) : -1;
	$new_cat = (isset($_GET['new_cat'])) ? intval($_GET['new_cat']) : -1;
#============1-e

	$storynum = (isset($user[3]) && $user_news == 1) ? intval($user[3]) : $storyhome;

#============2-b
#	if ($new_topic == 0) {
	if ($new_topic == -1) {
		unset ($new_topic);
#============2-e

		$qdb = "WHERE ihome='0' AND s.time <= NOW() AND status='1'";
		$pagetitle = "$defis "._NEWS."";
		head();
    } else {
		$qdb = "WHERE topic='$new_topic' AND s.time <= NOW() AND status='1'";
		list($topic_title) = $db->sql_fetchrow($db->sql_query("SELECT topictext FROM ".$prefix."_topics WHERE topicid='$new_topic'"));

#============3-b
		if ($new_topic==0) {$topic_title = "Разное";}
#============3-e

		$pagetitle = "$defis "._NEWS." $defis $topic_title";
		head();
        OpenTable();
        if (!$topic_title) {
			echo "<center><font class=\"title\">$sitename</font><br /><br />"._NOINFO4TOPIC."<br /><br />[ <a href=\"index.php?name=News\">"._GOTONEWSINDEX."</a> | <a href=\"index.php?name=Topics\">"._SELECTNEWTOPIC."</a> ]</center>";
        } else {
			echo "<center><font class=\"title\">$topic_title</font><br><br>"
			."[ <a href=\"index.php\">"._GOTOHOME."</a> | <a href=\"index.php?name=Topics\">"._SELECTNEWTOPIC."</a> ]</center>";
		}
        CloseTable();
	}

#============4-b
	menu_news();
		if ($new_cat!=-1) {
			$qdb .= " AND s.catid='".$new_cat."'";
		} else {
			unset ($new_cat);
		}
#============4-e

	$pagenum = (!$pagenum) ? 1 : $pagenum;
	$offset = ($pagenum-1) * $storynum;
	$offset = intval($offset);
	$storynum = intval($storynum);
	$result = $db->sql_query("SELECT sid, s.catid, s.aid, s.title, s.time, s.hometext, s.bodytext, s.comments, s.counter, s.topic, s.acomm, s.score, s.ratings, c.title, t.topicid, t.topicname, t.topicimage, t.topictext FROM ".$prefix."_stories AS s LEFT JOIN ".$prefix."_stories_cat AS c on (s.catid=c.catid) LEFT JOIN ".$prefix."_topics AS t on (s.topic=t.topicid) $qdb $querylang ORDER BY s.time DESC LIMIT $offset, $storynum");
	while (list($s_sid , $catid, $aid, $title, $time, $hometext, $bodytext, $comments, $counter, $topic, $acomm, $score, $ratings, $ctitle, $topicid, $topicname, $topicimage, $topictext) = $db->sql_fetchrow($result)) {
		if ($catid > 0) $cattitle = $ctitle;
		$topicimage = ($topicimage) ? $topicimage : "AllTopics.gif";
		$topictext = ($topictext) ? $topictext : ""._ALL."";
		formatTimestamp($time);
        $c_count = $comments;
        if ($catid != 0) {
            $title_cat = text_filter($ctitle);
			$story_link = "<a href=\"index.php?name=News&op=article&sid=$s_sid\" title=\"$title_cat - $title\">";
			$story_link_c = "<a href=\"index.php?name=News&op=article&sid=$s_sid#$s_sid\" title=\"$title_cat - $title\">";
            $title = "<a href=\"index.php?name=News&op=cat&catid=$catid\" title=\"$title_cat\"><font class=\"storycat\">$title_cat</a> - </font><a href=\"index.php?name=News&op=article&sid=$s_sid\" title=\"$title\"><font class=\"storytitle\">$title</font></a>";
        } else {
			$story_link = "<a href=\"index.php?name=News&op=article&sid=$s_sid\" title=\"$title\">";
			$story_link_c = "<a href=\"index.php?name=News&op=article&sid=$s_sid#$s_sid\" title=\"$title\">";
			$title = "<a href=\"index.php?name=News&op=article&sid=$s_sid\" title=\"$title\"><font class=\"storytitle\">$title</font></a>";
		}
        if ($acomm == 0) {
			if ($c_count == 0) {
				$m_com = "| $story_link_c"._COMMENTS."</a>";
			} elseif ($c_count == 1) {
				$m_com = "| $story_link_c"._COMMENT.": $c_count</a>";
			} elseif ($c_count > 1) {
				$m_com = "| $story_link_c"._COMMENTS.": $c_count</a>";
			}
        } else {
			$m_com = "";
		}
		$posted = ($aid) ? "<a href=\"index.php?name=Account&op=info&uname=$aid\">$aid</a>" : $anonymous;
//
// нет функции - Убираем «Подробнее», если нет расширенного текста новости 
//
//		$morelink = "<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr><td align=\"left\">$story_link<b>"._READMORE."</b></a> | "._PDATE.": $datetime | "._POSTEDBY.": $posted | "._READS.": $counter $m_com <td align=\"right\"><a href=\"index.php?name=News&op=printpage&sid=$s_sid\"><img src=\"images/blocks/Print.gif\" border=\"0\" alt=\""._PRINTER."\" title=\""._PRINTER."\" align=\"center\"></a>&nbsp;&nbsp;<a href=\"index.php?name=News&op=friendsend&sid=$s_sid\"><img src=\"images/blocks/Contact.gif\" border=\"0\" alt=\""._FRIEND."\" title=\""._FRIEND."\" align=\"center\"></a></td></tr></table>";

//
// есть функция - Убираем «Подробнее», если нет расширенного текста новости 
//
// $morelink = "<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr><td align=\"left\">";
if ($bodytext != "") {$morelink .= "$story_link<b>"._READMORE."</b></a> | ";}
$morelink .= "" ._PDATE.": $datetime | "._POSTEDBY.": $posted | "._READS.": $counter $m_com <td align=\"right\"><a href=\"index.php?name=News&op=printpage&sid=$s_sid\"><img src=\"images/blocks/Print.gif\" border=\"0\" alt=\""._PRINTER."\" title=\""._PRINTER."\" align=\"center\"></a>  <a href=\"index.php?name=News&op=friendsend&sid=$s_sid\"><img src=\"images/blocks/Contact.gif\" border=\"0\" alt=\""._FRIEND."\" title=\""._FRIEND."\" align=\"center\"></a></td></tr></table>";

//
// есть функция - Убираем «Подробнее», если нет расширенного текста новости  
// Но нет даты создания новости, кто создал, когда и слова коментарии. Всё в подробнее.

$morelink = "<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr><td align=\"left\">";
if ($bodytext != "") {$morelink .= "$story_link<b>"._READMORE."</b></a>  ";}

$morelink .= "<td align=\"right\"><a href=\"index.php?name=News&op=printpage&sid=$s_sid\"><img src=\"images/blocks/Print.gif\" border=\"0\" alt=\""._PRINTER."\" title=\""._PRINTER."\" align=\"center\"></a>  <a href=\"index.php?name=News&op=friendsend&sid=$s_sid\"><img src=\"images/blocks/Contact.gif\" border=\"0\" alt=\""._FRIEND."\" title=\""._FRIEND."\" align=\"center\"></a></td></tr></table>";


        if ($score != 0) {
            $rated = substr($score / $ratings, 0, 4);
        } else {
            $rated = 0;
        }
        $morelink = str_replace(" |  | ", " | ", $morelink);

//  убрал картинку категории с топика
//		$cimg = ($topicimage) ? "<a href=\"index.php?name=$module_name&new_topic=$topicid\"><img src=\"images/topics/".$topicimage."\" border=\"0\" alt=\"$topictext\" title=\"$topictext\" align=\"right\" hspace=\"10\" vspace=\"10\"></a>" : "";
        basic($aid, $datetime, $title, $counter, bb_decode($hometext), $morelink, $topicid, $cimg, $topicname);
    }
	list($numstories) = $db->sql_fetchrow($db->sql_query("SELECT Count(sid) AS csid FROM ".$prefix."_stories AS s $qdb $querylang"));
	$numpages = ceil($numstories / $storynum);
	
#============5-b	
if (isset($new_cat)) { $dop = "new_cat=".$new_cat."&";}
#============5-e
	
	if (isset($new_topic)) {
		num_page($module_name, $numstories, $numpages, $storynum, "".$dop."new_topic=".$new_topic."&");
	} else {
		num_page($module_name, $numstories, $numpages, $storynum, "".$dop."");
	}
    foot();
}

function cat($catid) {
    global $storyhome, $topicname, $topicimage, $topictext, $datetime, $user, $prefix, $multilingual, $currentlang, $db, $module_name, $pagenum;
	head();

#######
		menu_news();
#######

	$querylang = ($multilingual == 1) ? "AND (alanguage='$currentlang' OR alanguage='')" : "";
	$storynum = (isset($user[3])) ? intval($user[3]) : $storyhome;
    $catid = intval($catid);
	$pagenum = (!$pagenum) ? 1 : $pagenum;
    $offset = ($pagenum-1) * $storynum;
	$offset = intval($offset);
	$storynum = intval($storynum);
	$sql = "SELECT sid, s.catid, s.aid, s.title, s.time, s.hometext, s.bodytext, s.comments, s.counter, s.topic, s.acomm, s.score, s.ratings, c.title, t.topicid, t.topicname, t.topicimage, t.topictext FROM ".$prefix."_stories AS s LEFT JOIN ".$prefix."_stories_cat AS c on (s.catid=c.catid) LEFT JOIN ".$prefix."_topics AS t on (s.topic=t.topicid) WHERE s.catid='$catid' AND s.time <= NOW() AND status='1' $querylang ORDER BY s.time DESC LIMIT $offset, $storynum";
	$result = $db->sql_query($sql);
	while (list($s_sid , $catid, $aid, $title, $time, $hometext, $bodytext, $comments, $counter, $topic, $acomm, $score, $ratings, $ctitle, $topicid, $topicname, $topicimage, $topictext) = $db->sql_fetchrow($result)) {
		$n_catid = intval($catid);
		if ($catid > 0) $cattitle = $ctitle;
		$topicimage = ($topicimage) ? $topicimage : "AllTopics.gif";
		$topictext = ($topictext) ? $topictext : ""._ALL."";
		formatTimestamp($time);
        $c_count = $comments;
		$title_cat = text_filter($ctitle);
		$story_link = "<a href=\"index.php?name=News&op=article&sid=$s_sid\" title=\"$title_cat - $title\">";
		$story_link_c = "<a href=\"index.php?name=News&op=article&sid=$s_sid#$s_sid\" title=\"$title_cat - $title\">";
		$title = "<a href=\"index.php?name=News&op=cat&catid=$catid\" title=\"$title_cat\"><font class=\"storycat\">$title_cat</a> - </font><a href=\"index.php?name=News&op=article&sid=$s_sid\" title=\"$title\"><font class=\"storytitle\">$title</font></a>";
		if ($acomm == 0) {
			if ($c_count == 0) {
				$m_com = "| $story_link_c"._COMMENTS."</a>";
			} elseif ($c_count == 1) {
				$m_com = "| $story_link_c"._COMMENT.": $c_count</a>";
			} elseif ($c_count > 1) {
				$m_com = "| $story_link_c"._COMMENTS.": $c_count</a>";
			}
		} else {
			$m_com = "";
        }
		$posted = ($aid) ? "<a href=\"index.php?name=Account&op=info&uname=$aid\">$aid</a>" : $anonymous;
		$morelink = "<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr><td align=\"left\">$story_link<b>"._READMORE."</b></a> | "._PDATE.": $datetime | "._POSTEDBY.": $posted | "._READS.": $counter $m_com <td align=\"right\"><a href=\"index.php?name=News&op=printpage&sid=$s_sid\"><img src=\"images/blocks/Print.gif\" border=\"0\" alt=\""._PRINTER."\" title=\""._PRINTER."\" align=\"center\"></a>&nbsp;&nbsp;<a href=\"index.php?name=News&op=friendsend&sid=$s_sid\"><img src=\"images/blocks/Contact.gif\" border=\"0\" alt=\""._FRIEND."\" title=\""._FRIEND."\" align=\"center\"></a></td></tr></table>";
        if ($score != 0) {
            $rated = substr($score / $ratings, 0, 4);
        } else {
            $rated = 0;
        }
        $morelink = str_replace(" |  | ", " | ", $morelink);

//  убрал картинку категории с топика
//	$cimg = ($topicimage) ? "<a href=\"index.php?name=$module_name&new_topic=$topicid\"><img src=\"images/topics/".$topicimage."\" border=\"0\" alt=\"$topictext\" title=\"$topictext\" align=\"right\" hspace=\"10\" vspace=\"10\"></a>" : "";
		basic($aid, $datetime, $title, $counter, bb_decode($hometext), $morelink, $topicid, $cimg, $topicname);
	}
	list($numstories) = $db->sql_fetchrow($db->sql_query("SELECT Count(catid) AS csid FROM ".$prefix."_stories AS s WHERE s.catid='$n_catid' AND s.time <= NOW() AND status='1' $querylang"));
	$numpages = ceil($numstories / $storynum);
	num_page($module_name, $numstories, $numpages, $storynum, "op=cat&catid=".$n_catid."&");
	foot();
}

function article($sid) {
	global $db, $storyhome, $topicname, $topicimage, $topictext, $datetime, $user, $prefix, $conffi, $multilingual, $currentlang, $sitename, $user_news, $pagenum, $anonymous, $module_name, $pagetitle, $defis, $admin_file, $hometext, $bodytext;
	$sid = intval($sid);
	$result = $db->sql_query("SELECT s.catid, s.aid, s.time, s.title, s.hometext, s.bodytext, s.field, s.counter, s.topic, s.acomm, s.score, s.ratings, s.associated, c.title, t.topicid, t.topicname, t.topicimage, t.topictext FROM ".$prefix."_stories AS s LEFT JOIN ".$prefix."_stories_cat AS c on (s.catid=c.catid) LEFT JOIN ".$prefix."_topics AS t on (s.topic=t.topicid) WHERE sid='$sid' AND s.time <= NOW() AND status='1'");
	if ($db->sql_numrows($result) == 1) {
		list($catid, $aid, $time, $title, $hometext, $bodytext, $field, $counter, $topic, $acomm, $score, $ratings, $associated, $ctitle, $topicid, $topicname, $topicimage, $topictext) = $db->sql_fetchrow($result);
		$db->sql_query("UPDATE ".$prefix."_stories SET counter=counter+1 where sid='$sid'");
		$pagetitle = ($catid != 0) ? "$defis "._NEWS." $defis $ctitle $defis $title" : "$defis "._NEWS." $defis $title";
		head();
		formatTimestamp($time);
		$fields = ($conffi['news']) ? fields_out($field, $conffi['news']) : "";
		$fields = ($fields) ? "<br /><br />".$fields."" : "";
		$bodytext = (!$bodytext) ? "".$hometext."".$fields."" : "".$hometext."<br /><br />".$bodytext."".$fields."";
		$title = ($catid != 0) ? "<a href=\"index.php?name=$module_name&op=cat&catid=$catid\"><font class=\"storycat\">$ctitle</a> - </font><font class=\"storytitle\">$title</font>" : "<font class=\"storytitle\">$title</font>";
		$topicimage = ($topicimage) ? $topicimage : "AllTopics.gif";
		$topictext = ($topictext) ? $topictext : ""._ALL."";
		$posted = ($aid) ? ""._POSTEDBY.": <a href=\"index.php?name=Account&op=info&uname=$aid\">$aid</a> | "._DATE.": $datetime" : ""._POSTEDBY.": $anonymous | "._DATE.": $datetime";


//  убрал картинку категории с топика
//		$cimg = ($topicimage) ? "<a href=\"index.php?name=$module_name&new_topic=$topicid\"><img src=\"images/topics/".$topicimage."\" border=\"0\" alt=\"$topictext\" title=\"$topictext\" align=\"right\" hspace=\"10\" vspace=\"10\"></a>" : "";
		basic($aid, $datetime, $title, $counter, bb_decode($bodytext), $posted, $topicid, $cimg, $topicname);
		OpenTable();
		echo "<center>[ <a href=\"index.php?name=$module_name&op=printpage&sid=$sid\" title=\""._PRINTER."\">"._PRINTER."</a> | <a href=\"index.php?name=$module_name&op=friendsend&sid=$sid\" title=\""._FRIEND."\">"._FRIEND."</a>";
		if (is_admin($admin)) {
			echo " | <a href=\"".$admin_file.".php?op=AddStory\">"._ADD."</a> | <a href=\"".$admin_file.".php?op=AddStory&id=$sid\">"._EDIT."</a> | <a href=\"".$admin_file.".php?op=DeleteStory&id=$sid\">"._DELETE."</a> ]</center>";
		} else {
			echo " ]</center>";
		}
		CloseTable();
		OpenTable();
		echo "<center><font class=\"option\">"._RATEARTICLE."</center></font></center><br>"
		."<table align=\"center\"><tr><td>"._AVERAGESCORE.": </td><td>".vote_graphic($ratings, $score)."</td><td>"._VOTES.":</td><td>$ratings</td></tr></table>"
		."<hr><table width=\"100%\" align=\"center\" border=\"0\"><tr><td><form action=\"index.php?name=$module_name\" method=\"post\">"
		."<input type=\"hidden\" name=\"sid\" value=\"$sid\">"
		."<input type=\"hidden\" name=\"op\" value=\"ratearticle\">"
		."<input type=\"radio\" name=\"score\" value=\"5\"> <img src=\"images/articles/stars-5.gif\" border=\"0\" alt=\""._EXCELLENT."\" title=\""._EXCELLENT."\"></td>"
		."<td><input type=\"radio\" name=\"score\" value=\"4\"> <img src=\"images/articles/stars-4.gif\" border=\"0\" alt=\""._VERYGOOD."\" title=\""._VERYGOOD."\"></td>"
		."<td><input type=\"radio\" name=\"score\" value=\"3\"> <img src=\"images/articles/stars-3.gif\" border=\"0\" alt=\""._GOOD."\" title=\""._GOOD."\"></td>"
		."<td><input type=\"radio\" name=\"score\" value=\"2\"> <img src=\"images/articles/stars-2.gif\" border=\"0\" alt=\""._REGULAR."\" title=\""._REGULAR."\"></td>"
		."<td><input type=\"radio\" name=\"score\" value=\"1\"> <img src=\"images/articles/stars-1.gif\" border=\"0\" alt=\""._BAD."\" title=\""._BAD."\"></td>"
		."<td align=\"right\"><input type=\"submit\" value=\""._CASTMYVOTE."\"></td></tr></form></table>";
		CloseTable();
		if ($associated != "") {
			OpenTable();
			echo "<center><font class=\"option\">"._ASTOPIC."</font></center><br>";
			$asso_t = explode("-", $associated);
			for ($i = 0; $i<sizeof($asso_t); $i++) {
				if ($asso_t[$i] != "") {
					$t = intval($asso_t[$i]);
					$result = $db->sql_query("SELECT sid, title, time FROM ".$prefix."_stories WHERE topic='$t' AND sid!='$sid' ORDER BY time DESC LIMIT 0, 10");
					while(list($s_sid, $title, $time)= $db->sql_fetchrow($result)) {
						echo "<table><tr><td><img src=\"images/blocks/News.gif\" border=\"0\" title=\"$title\"></td><td>$time - <a href=\"index.php?name=News&op=article&sid=$s_sid\" title=\"$title\">$title</a></td></tr></table>";
					}
				}
			}
			CloseTable();
		}
		if ($acomm == 0) {
			echo "<a name=\"$sid\"></a>";
			ShowComments($sid);
		}
		foot();
	} else {
		Header("Location: index.php");
	}
}

function ratearticle($sid, $score) {
    global $prefix, $db, $ratecookie;
    $score = intval($score);
    $sid = intval($sid);
    if ($score) {
        if ($score > 5) $score = 5;
		if ($score < 1) $score = 1;
		if ($score != 1 AND $score != 2 AND $score != 3 AND $score != 4 AND $score != 5) {
            Header("Location: index.php");
            die();
        }
        if (isset($ratecookie)) $r_cookie = explode(":", addslashes(base64_decode($ratecookie)));
        for ($i = 0; $i < sizeof($r_cookie); $i++) {
            if ($r_cookie[$i] == $sid) $a = 1;
        }
        if ($a == 1) {
            Header("Location: index.php?name=News&op=ratecomplete&sid=$sid&rated=1");
        } else {
            $result = $db->sql_query("UPDATE ".$prefix."_stories SET score=score+$score, ratings=ratings+1 WHERE sid='$sid'");
            $info = base64_encode("$rcookie$sid:");
            setcookie("ratecookie","$info",time()+3600);
            update_points(7);
            Header("Location: index.php?name=News&op=ratecomplete&sid=$sid");
        }
    } else {
        head();
        title(""._ARTICLERATING."");
        OpenTable();
        echo "<center>"._DIDNTRATE."<br><br>"._GOBACK."</center>";
        CloseTable();
        foot();
    }
}

function ratecomplete($sid, $rated=0) {
    head();
    title(""._ARTICLERATING."");
    OpenTable();
    if ($rated == 0) {
        echo "<center>"._THANKSVOTEARTICLE."<br><br>"
		."[ <a href=\"index.php?name=News&op=article&sid=$sid\">"._BACKTOARTICLEPAGE."</a> ]</center>";
    } elseif ($rated == 1) {
        echo "<center>"._ALREADYVOTEDARTICLE."<br><br>"
		."[ <a href=\"index.php?name=News&op=article&sid=$sid\">"._BACKTOARTICLEPAGE."</a> ]</center>";
    }
    CloseTable();
    foot();
}

function printpage($sid) {
    global $site_logo, $homeurl, $sitename, $datetime, $prefix, $db, $module_name, $defis, $ThemeSel;
	$defis = urldecode($defis);
    $sid = intval($sid);
	$result = $db->sql_query("SELECT title, time, hometext, bodytext, topic FROM ".$prefix."_stories WHERE sid='$sid' AND time <= NOW() AND status='1'");
    if ($db->sql_numrows($result) == 1) {
		list($title, $time, $hometext, $bodytext, $topic) = $db->sql_fetchrow($result);
		list($topictext) = $db->sql_fetchrow($db->sql_query("SELECT topictext FROM ".$prefix."_topics WHERE topicid='$topic'"));
		formatTimestamp($time);
		echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n"
		."<html>\n"
		."<head>\n"
		."<meta http-equiv=\"content-type\" content=\"text/html; charset="._CHARSET."\">\n"
		."<link rel=\"stylesheet\" href=\"templates/$ThemeSel/style.css\" type=\"text/css\">\n"
		."<title>$title $defis "._NEWS." $defis $sitename</title></head><body><table border=\"0\" align=\"center\"><tr><td><table border=\"0\" width=\"640\" cellpadding=\"0\" cellspacing=\"0\"><tr><td><table border=\"0\" width=\"640\" cellpadding=\"20\" cellspacing=\"1\" class=\"bodyline\"><tr><td><center><a href=\"$homeurl\"><img src=\"images/logos/$site_logo\" border=\"0\" alt=\"$sitename\"></a><br><br><font class=\"content\"><b>$title</b></font><br><font class=tiny><b>"._PDATE.":</b> $datetime<br /><b>"._PTOPIC.":</b> $topictext</font><br /><br /></center><font class=\"content\">".bb_decode($hometext)."<br /><br />".bb_decode($bodytext)."<br /><br /></font></td></tr></table></td></tr></table><br /><center><font class=\"content\">"._COMESFROM.": <a href=\"$homeurl\">$homeurl</a><br />"._THEURL.": <a href=\"$homeurl/index.php?name=$module_name&op=article&sid=$sid\">$homeurl/index.php?name=$module_name&op=article&sid=$sid</a></font></td></tr></table></body></html>";
	} else {
		Header("Location: index.php");
	}
}

function friendsend($sid) {
    global $user, $userinfo, $prefix, $db, $module_name, $pagetitle, $defis, $stop;
	$sid = intval($sid);
	$result = $db->sql_query("SELECT title FROM ".$prefix."_stories WHERE sid='$sid' AND time <= NOW() AND status='1'");
	if ($db->sql_numrows($result) == 1) {
		list($title) = $db->sql_fetchrow($result);
		$title = stripslashes($title);
		$pagetitle = "$defis "._NEWS." $defis $title $defis "._FRIEND."";
		head();
		title(""._FRIEND."");
		if ($stop) warning($stop, "", "", 1);
		OpenTable();
		echo "<center><font class=\"content\"><b>"._YOUSENDSTORY." \"$title\" "._TOAFRIEND."</b></center><br>"
		."<form action=\"index.php?name=$module_name\" method=\"post\">"
		."<input type=\"hidden\" name=\"sid\" value=\"$sid\">";
		if (is_user($user)) {
			getusrinfo($user);
			$yn = $userinfo['user_name'];
			$ye = $userinfo['user_email'];
		}
		echo "<table align=\"center\"><tr><td>"._YOURNAME.":</td><td><input type=\"text\" name=\"yname\" value=\"$yn\" size=\"30\"></td></tr>"
		."<tr><td>"._YOUREMAIL.":</td><td><input type=\"text\" name=\"ymail\" value=\"$ye\" size=\"30\"></td></tr>"
		."<tr><td>"._FFRIENDNAME.":</td><td><input type=\"text\" name=\"fname\" size=\"30\"></td></tr>"
		."<tr><td>"._FFRIENDEMAIL.":</td><td><input type=\"text\" name=\"fmail\" size=\"30\"></td></tr></table><br>"
		."<center><input type=\"hidden\" name=\"op\" value=\"sendstory\">\n"
		."<input type=\"submit\" value="._SEND.">\n"
		."</form></center>\n";
		CloseTable();
		foot();
	} else {
		Header("Location: index.php");
	}
}

function sendstory($sid, $yname, $ymail, $fname, $fmail) {
    global $sitename, $homeurl, $prefix, $db, $module_name, $stop;
	checkemail($ymail);
	checkemail($fmail);
	if (!$stop) {
		$sid = intval($sid);
		list($title, $time, $topic) = $db->sql_fetchrow($db->sql_query("SELECT title, time, topic FROM ".$prefix."_stories WHERE sid='$sid'"));
		$title = stripslashes($title);
		$time = stripslashes($time);
		$topic = intval($topic);
		list($topictext) = $db->sql_fetchrow($db->sql_query("SELECT topictext FROM ".$prefix."_topics WHERE topicid='$topic'"));
		$topictext = stripslashes($topictext);
		$subject = "$sitename - "._INTERESTING."";
		$message = ""._HELLO." $fname!<br />"._YOURFRIEND." $yname "._CONSIDERED."<br /><br />"._FSTORY.": $title<br />"._PDATE.": ".formatTimestamp($time)."<br />"._PTOPIC.": $topictext<br /><br />"._THEURL.": <a href=\"$homeurl/index.php?name=$module_name&op=article&sid=$sid\" target=\"_blank\">$homeurl/index.php?name=$module_name&op=article&sid=$sid</a><br /><br />"._YOUCANREAD.": <a href=\"$homeurl\" target=\"_blank\">$sitename</a><br />"._FSITEURL.": <a href=\"$homeurl\" target=\"_blank\">$homeurl</a>";
		mail_send($fmail, $ymail, $subject, $message, 0, 3);
		update_points(6);
		head();
		title(""._FRIEND."");
		warning(""._FSTORY." \"$title\" "._HASSENT." $fname", "?name=$module_name&op=article&sid=$sid", 5, 2);
		foot();
	} else {
		friendsend($sid);
	}
}

switch ($op) {
	default:
    news($new_topic);
    break;

	case "cat":
	cat($catid);
    break;
	
	case "article":
    article($sid);
    break;
	
	case "ratearticle":
    ratearticle($sid, $score);
    break;

    case "ratecomplete":
    ratecomplete($sid, $rated);
    break;

	case "printpage":
    printpage($sid);
    break;
	
	case "sendstory":
    sendstory($sid, $yname, $ymail, $fname, $fmail);
    break;

    case "friendsend":
    friendsend($sid);
    break;
}
?>